/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.application.demo.terminal.services;

import org.openmobileis.services.navigation.NavigationBarDescription;



/**
 * @author Manuel Gomez
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class DemoNavigationBarDescription implements NavigationBarDescription{

  public DemoNavigationBarDescription() {
    super();
    
  }
  
  
  public String getPastLinkFontTag() {
		return "<font class=\"texte_vert\">";
//    return "<font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\" color=\"#003399\">";
  }

  /* (non-Javadoc)
   * @see org.openmobileis.embedded.services.common.NavigationBarDescription#getCurrentLinkFontTag()
   */
  public String getCurrentLinkFontTag() {
    
		return "<font class=\"texte_orange\">";
//    return "<font color=\"#FF6600\">";
  }

  /* (non-Javadoc)
   * @see org.openmobileis.embedded.services.common.NavigationBarDescription#getLinkSeparator()
   */
  public String getLinkSeparator() {
    return "&nbsp;&gt; ";
  }

}
