/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.utils;

import java.util.ArrayList;

public class StringUtilities {
    public static String[] split(String input, String separator){
    	ArrayList arrAux = new ArrayList();
    	String sAux = "" + input;
    	int pos = sAux.indexOf(separator);
    	while (pos>=0){
    		String token = sAux.substring(0,pos);
    		arrAux.add(token);
    		sAux = sAux.substring(pos+1);
    		pos = sAux.indexOf(separator);
    	}
    	if (sAux.length()>0)
    		arrAux.add(sAux);
    	String[] res = new String[arrAux.size()];
    	for (int i = 0; i<res.length; i++){
    		res[i] = (String)arrAux.get(i);
    	}
    	return res;
    }
}
